package com.ningdatech.pmapi.projectdeclared.service.impl;

import com.ningdatech.pmapi.projectdeclared.mapper.DeclaredStatisticsMapper;
import com.ningdatech.pmapi.projectdeclared.model.po.DeclaredProjectStatisticsPO;
import com.ningdatech.pmapi.projectdeclared.service.IDeclaredStatisticsService;
import lombok.AllArgsConstructor;
import org.springframework.stereotype.Service;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author zpf
 * @since 2023-02-05
 */
@Service
@AllArgsConstructor
public class DeclaredStatisticsServiceImpl implements IDeclaredStatisticsService {

    private final DeclaredStatisticsMapper declaredStatisticsMapper;

    /**
     * 根据userId 去查询 申报项目统计
     * @param orgCode
     * @return
     */
    @Override
    public DeclaredProjectStatisticsPO getStatistics(String orgCode,Integer year) {
        return declaredStatisticsMapper.getStatistics(orgCode,year);
    }
}
